<!DOCTYPE html>
<html lang="pt-br">
<head>
    <title>Testando Javascript</title>
    <meta charset="utf-8">
</head>
<body>

<h1>Testando Javascript - Aula 30</h1>

<!-- Os scripts em JavaScript devem ficar dentro da tag <script></script> -->
<script>

    var numero0 = 15; // declaração de uma variável numérica

    console.log(numero0); // imprimindo o valor da variável numero0 no console

    var numero1 = prompt("Digite um número:"); // recebe um dado do teclado como string
    var numero2 = prompt("Digite outro um número:"); // recebe um dado do teclado como string

    numero1 = parseInt(numero1); // convete numero1 para inteiro
    numero2 = parseInt(numero2); // converte numero2 para inteiro

    // estrutura de seleção (ifs encadeados se então senão)
    if (numero1 > numero2) {
        // se a condição numero1 > numero2 for verdadeira, executa essa linhas
        console.log("O número " + numero1 + " é maior que o número " + numero2);
    } else if (numero1 < numero2) {
        // se a condição numero1 < numero2 for verdadeira, executa essa linhas
        console.log("O número " + numero1 + " é menor que o número " + numero2);
    } else {
        // se nenhuma das condições anteriores for verdadeira, executa essa linha
        console.log("O número " + numero1 + " é igual ao número " + numero2);
    }

    // estrutura de seleção (switch)
    switch (numero1) { // verifica o valor da variavel numero1
        case 0: // caso o valor seja 0, executa as próximas linhas
            console.log("Você digitou 0");
            break; // pula pro final
        case 1: // caso o valor seja 1, executa as próximas linhas
            console.log("Você digitou 1");
            break; // pula pro final
        case 2: // caso o valor seja 2, executa as próximas linhas
            console.log("Você digitou 2");
            break; // pula pro final
        default: // caso nenhuma condição acima seja atendida, executa as próximas linhas
            console.log("Você digitou um valor desconhecido");
    }

    var resposta1, resposta2; // declara as variáveis resposta1 e resposta2

    // Estrutura de seleção
    if (numero1 >= 0) { // Se numero1 for maior ou igual a 0, resposta1 recebe "Positivo"
        resposta1 = "Positivo";
    } else { 			// Se não, resposta1 recebe "Negativo"
        resposta2 = "Negativo";
    }

    // operador ternário, faz a mesma operação da estrutura de seleção anterior em apenas 1 linha.
    resposta2 = (numero1 >= 0) ? "Positivo" : "Negativo";
    // Se numero1 for maior ou igual a 0, resposta 2 recebe "Positivo". Caso contrário recebe "Negativo".
    // O operador ternário deve ser utilizado apenas em casos onde a resposta da condição seja apenas sim ou não.

    console.log(resposta1); // Imprime as variáveis resposta1
    console.log(resposta2); // e resposta2 no console.

</script>
</body>
</html>